package tk.antoine.roux.architecture;

public enum Layer {
    DOMAIN("domain", "tk.antoine.roux.domain.."),
    MODEL("model", "tk.antoine.roux.domain.model.."),
    REPOSITORIES("repositories", "tk.antoine.roux.domain.repositories.."),
    USECASES("usecases", "tk.antoine.roux.domain.usecases.."),
    INFRASTRUCTURE("infrastructure", "tk.antoine.roux.infrastructure.."),
    ADAPTER_IN("adapter_in", "tk.antoine.roux.infrastructure.in.."),
    ADAPTER_OUT("adapter_out", "tk.antoine.roux.infrastructure.out..")
    ;

    public final String name;
    public final String path;

    Layer(String name, String path) {
        this.name = name;
        this.path = path;
    }
}
